
Figure - Bug #115089
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT2】【任务管理器】关闭应用小窗后，多任务管理器中应用卡片缩略图仍然显示的是小窗缩略图
2023-01-05 14:45 - CD Test赵飞

Status: CLOSED Start date: 2023-01-05

Priority: Normal Due date: 2023-01-11

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_C sample_20230113

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0066.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0071.X101

Reproducibility: Every time Fixed Version: 2023-02-02

Test Type: ST Root cause: 需求变更

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开任意一个应用小窗

2、点击小窗左上角关闭图标

3、进入多任务管理界面

4、查看应用卡片显示

【预期结果】

4、应用卡片中显示的是应用全屏缩略图

【实际结果】

4、应用卡片中显示的仍然是小窗模式缩略图

【日志】

日志和截图见附件

History

#1 - 2023-01-05 17:47 - CD APP-王营

- Status changed from New to NEED_INFO

- Assignee changed from CD APP-王营 to CD Test赵飞

■ Current conclusion

保持当前状态，建议确认一下需求。

■ My analysis

应用打开小窗后产生的快照就是竖屏的，此时显示在recent中显示就是使用了小窗竖屏的快照，recent无法拿到横屏的快照。

■ Next action

请测试同事确认此需求，小米平板的解决方案为将小窗快照横向显示。

#2 - 2023-01-06 14:23 - CD Test赵飞

- Assignee changed from CD Test赵飞 to 方案组-RD3_CDTS 王浩云
hi, 浩云

麻烦确认一下此需求，谢谢

#3 - 2023-01-06 14:31 - 方案组-RD3_CDTS 王浩云

- Assignee changed from 方案组-RD3_CDTS 王浩云 to CD Test赵飞

参考一下小米，我记得小米也是对小窗进行快照捕捉，而不是横屏，但是展示效果要好于现在，效果参考小米，进行优化

#4 - 2023-01-06 14:42 - CD Test赵飞

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD Test赵飞 to CD APP-王营

hi, 王营

产品已确认，麻烦参考小米，进行优化，谢谢

#5 - 2023-01-11 16:32 - CD APP-王营

- Due date set to 2023-01-11

#6 - 2023-01-11 20:39 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

175955 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

FW:Launcher: Fix recent task thumbnail direction1. Fix recent task thumbnail direction, rotate the bitmap 270 degree when the thumbnail is from free

window.TC-RID: 1201-0205302IssueID: TS-R-BUG-115089Change-Id: Ib972ca14b4d3db78c99d7d1f892b0eba4c3ff117

#7 - 2023-01-11 20:43 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-12

- Root cause set to 需求变更

■ Current conclusion

问题已解决，小窗缩略图横向显示，请在01-12及以后的版本中验证此问题

■ My analysis

竖向的缩略图，参考小米平板，目前进行了顺时针旋转270度，也就是向左旋转90度。

■Submit URL
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/175955

#8 - 2023-01-12 18:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

176190 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

FW:Launcher: Fix recent task thumbnail direction1. Fix recent task thumbnail direction, rotate the bitmap 270 degree when the thumbnail is from free

window.TC-RID: 1201-0205302IssueID: TS-R-BUG-115089Change-Id: Ia173bc93deecfecaed9595a26da431b9ef415a4b

#9 - 2023-01-12 19:17 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301110536

1.12

验证通过

#10 - 2023-01-12 19:17 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#11 - 2023-01-31 18:41 - CD TEST-方永红

- Status changed from CLOSED to New

- Assignee changed from CD Test赵飞 to CD APP-王营

#12 - 2023-02-01 09:49 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

178496 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

FW: Launcher: Revert small window thumbnail1.Customer requested to restore the display mode as before, so removethe rotation.TC-RID: 1201-0205302IssueID:

TS-R-BUG-115089Change-Id: Ie759dd5b93eebc8008397dfe6a69f95d2f6a01a5

#13 - 2023-02-01 10:14 - CD APP-王营

- Status changed from New to RESOLVED

- Assignee changed from CD APP-王营 to CD TEST-方永红

- Fixed Version changed from 2023-01-12 to 2023-02-02

■ Current conclusion
已经去除缩略图的旋转处理，代码已经提交，待验证。

■ My analysis

客户要求重新改回最原始状态，task卡片中如果使用小窗的快照，只截取上半部分显示，此需求王浩云已经和客户同步。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/178496

代码已入库，需使用02-02的版本验证

#14 - 2023-02-02 10:58 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version changed from FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301110536 to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0071.X101

2.2

验证通过

#15 - 2023-02-02 10:58 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

logcat.txt 2.62 MB 2023-01-05 CD Test赵飞

Screenshot_20230105-073959.png 829 KB 2023-01-05 CD Test赵飞
